AWS IoT Device SDK C++ v2: Aws::Iotjobs::JobExecutionData Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | Public Attributes | List of all members
Aws::Iotjobs::JobExecutionData Class Referencefinal

`#include <JobExecutionData.h>`

## Public Member Functions
| JobExecutionData ()=default
| JobExecutionData (const Crt::JsonView &doc)
JobExecutionData & | operator= (const Crt::JsonView &doc)
void | SerializeToObject (Crt::JsonObject &doc) const

## Public Attributes
Aws::Crt::Optional< Aws::Crt::String > | JobId
Aws::Crt::Optional< Aws::Crt::JsonObject > | JobDocument
Aws::Crt::Optional< Aws::Iotjobs::JobStatus > | Status
Aws::Crt::Optional< int32_t > | VersionNumber
Aws::Crt::Optional< Aws::Crt::DateTime > | QueuedAt
Aws::Crt::Optional< Aws::Crt::String > | ThingName
Aws::Crt::Optional< int64_t > | ExecutionNumber
Aws::Crt::Optional< Aws::Crt::Map< Aws::Crt::String, Aws::Crt::String > > | StatusDetails
Aws::Crt::Optional< Aws::Crt::DateTime > | LastUpdatedAt
Aws::Crt::Optional< Aws::Crt::DateTime > | StartedAt

## Detailed Description

Data about a job execution.

## Constructor & Destructor Documentation

## ◆ JobExecutionData() [1/2]

Aws::Iotjobs::JobExecutionData::JobExecutionData | ( |  | ) |
| default

## ◆ JobExecutionData() [2/2]

Aws::Iotjobs::JobExecutionData::JobExecutionData | ( | const Crt::JsonView & | doc | ) |

## Member Function Documentation

## ◆ operator=()

JobExecutionData & Aws::Iotjobs::JobExecutionData::operator= | ( | const Crt::JsonView & | doc | ) |

## ◆ SerializeToObject()

void Aws::Iotjobs::JobExecutionData::SerializeToObject | ( | Crt::JsonObject & | doc | ) | const

## Member Data Documentation

## ◆ ExecutionNumber

Aws::Crt::Optional<int64_t> Aws::Iotjobs::JobExecutionData::ExecutionNumber

A number that identifies a job execution on a device. It can be used later in commands that return or update job execution information.

## ◆ JobDocument

Aws::Crt::Optional<Aws::Crt::JsonObject> Aws::Iotjobs::JobExecutionData::JobDocument

The content of the job document.

## ◆ JobId

Aws::Crt::Optional<Aws::Crt::String> Aws::Iotjobs::JobExecutionData::JobId

The unique identifier you assigned to this job when it was created.

## ◆ LastUpdatedAt

Aws::Crt::Optional<Aws::Crt::DateTime> Aws::Iotjobs::JobExecutionData::LastUpdatedAt

The time when the job execution started.

## ◆ QueuedAt

Aws::Crt::Optional<Aws::Crt::DateTime> Aws::Iotjobs::JobExecutionData::QueuedAt

The time when the job execution was enqueued.

## ◆ StartedAt

Aws::Crt::Optional<Aws::Crt::DateTime> Aws::Iotjobs::JobExecutionData::StartedAt

The time when the job execution started.

## ◆ Status

Aws::Crt::Optional<Aws::Iotjobs::JobStatus> Aws::Iotjobs::JobExecutionData::Status

The status of the job execution. Can be one of: QUEUED, IN_PROGRESS, FAILED, SUCCEEDED, CANCELED, TIMED_OUT, REJECTED, or REMOVED.

## ◆ StatusDetails

Aws::Crt::Optional<Aws::Crt::Map<Aws::Crt::String, Aws::Crt::String> > Aws::Iotjobs::JobExecutionData::StatusDetails

A collection of name-value pairs that describe the status of the job execution.

## ◆ ThingName

Aws::Crt::Optional<Aws::Crt::String> Aws::Iotjobs::JobExecutionData::ThingName

The name of the thing that is executing the job.

## ◆ VersionNumber

Aws::Crt::Optional<int32_t> Aws::Iotjobs::JobExecutionData::VersionNumber

The version of the job execution. Job execution versions are incremented each time they are updated by a device.

The documentation for this class was generated from the following files:

- jobs/include/aws/iotjobs/JobExecutionData.h
- jobs/source/JobExecutionData.cpp